<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools">

<data>
        <variable
                name="record"
                type="co.wesend.scanner.db.entity.Record" />
</data>

<LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:gravity="center_horizontal"
        android:paddingTop="20dp">

    <TextView
            android:id="@+id/title_text_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Results"
            android:textSize="@dimen/title"
            android:layout_margin="20dp"/>

    <TextView
            android:id="@+id/rate_text_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/default_margin"
            tools:text="Calculated rate: 450.00000000"
            android:text="@{`Rate: ` + String.valueOf(record.rate)}"/>

    <TextView
            android:id="@+id/num_outliers_text_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/default_margin"
            tools:text="Removed outliers: 1"
            android:text="@{`Removed outliers: ` + String.valueOf(record.numOutliers)}"/>

    <TextView
            android:id="@+id/date_time_text_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/default_margin"
            app:formatSeconds="@{record.dateTime}"
            app:pattern="@{`dd/MM/yy hh:mm:ss a`}"
            tools:text="Time: 02/05/2018 05:28:05 PM"
            android:text="@{`Time: ` + String.valueOf(record.dateTime)}"/>

</LinearLayout>

</layout>